Bug 334587

Summary: Ctrl + S shortcut does not Save/Save As of table, form, etc.
Product: KEXI Reporter: Wojciech Kosowicz <pcellix>
Component: GeneralAssignee: Wojciech Kosowicz <pcellix>
Status: CLOSED FIXED    
Severity: normal CC: adam, inksi, staniek
Priority: NOR Keywords: junior-jobs
Version: 2.8.2Flags: staniek: Usability+
Target Milestone: 2.8.4   
Platform: Archlinux Packages   
OS: Linux   
Latest Commit: Version Fixed In: 2.8.4

Description Wojciech Kosowicz 2014-05-10 19:06:20 UTC
Key combination Ctrl + S seems like the most natural one to call Save/Save As.. in almost every software. Still it is not active while editing table, forms in Kexi

Reproducible: Always

Steps to Reproduce:
1. Open a table
2. Edit some field
3. Press Ctrl + S
Actual Results:  
Nothing happens

Expected Results:  
Save As dialog should appear if table has never been saved  and if it has been Save operation should be performed
Comment 1 Wojciech Kosowicz 2014-06-12 21:38:25 UTC
Git commit 0e1cfb1b74e7c88c03f66bca39dde8fffef5b092 by Wojciech Kosowicz.
Committed on 12/06/2014 at 21:25.
Pushed by wkosowicz into branch 'calligra/2.8'.

Added Ctrl+S shortcut for save action in Kexi

Adding Ctrl + S shorcut for save action in kexi required suppresing
default behavior of this shortcut in KTextEditor
FIXED-IN: 2.8.4
REVIEW: 118631

M  +18   -11   kexi/main/KexiMainWindow.cpp
M  +1    -1    kexi/main/KexiMainWindow.h
M  +2    -0    kexi/widget/kexieditor.cpp

http://commits.kde.org/calligra/0e1cfb1b74e7c88c03f66bca39dde8fffef5b092
Comment 2 Wojciech Kosowicz 2014-06-12 21:42:53 UTC
Git commit 58b704a7eaa5efb2c99e67b43bc2911dda9e96e7 by Wojciech Kosowicz.
Committed on 12/06/2014 at 21:25.
Pushed by wkosowicz into branch 'master'.

Added Ctrl+S shortcut for save action in Kexi

Adding Ctrl + S shorcut for save action in kexi required suppresing
default behavior of this shortcut in KTextEditor
FIXED-IN: 2.8.4
REVIEW: 118631

M  +18   -11   kexi/main/KexiMainWindow.cpp
M  +1    -1    kexi/main/KexiMainWindow.h
M  +2    -0    kexi/widget/kexieditor.cpp

http://commits.kde.org/calligra/58b704a7eaa5efb2c99e67b43bc2911dda9e96e7
Comment 3 Jarosław Staniek 2014-06-14 22:11:56 UTC
Git commit 7fca08a271f468c7f28c915c542e20cc80fa314f by Jaroslaw Staniek.
Committed on 14/06/2014 at 22:03.
Pushed by staniek into branch 'master'.

Make main shortcuts trigger only enabled actions

This fixes a crash (when pressing Ctrl+S i Data mode) introduced while fixing bug #334587.
In addition added condition for Save/Save As methods so they are ignored in Data mode even if called explicitly.

M  +25   -7    kexi/main/KexiMainWindow.cpp
M  +19   -1    kexi/main/KexiMainWindow_p.h

http://commits.kde.org/calligra/7fca08a271f468c7f28c915c542e20cc80fa314f
Comment 4 Jarosław Staniek 2014-06-14 22:12:06 UTC
Git commit 84dbc21f28da81c4f1449df72b7d95a6fb673618 by Jaroslaw Staniek.
Committed on 14/06/2014 at 22:03.
Pushed by staniek into branch 'calligra/2.8'.

Make main shortcuts trigger only enabled actions

This fixes a crash (when pressing Ctrl+S i Data mode) introduced while fixing bug #334587.
In addition added condition for Save/Save As methods so they are ignored in Data mode even if called explicitly.

M  +25   -7    kexi/main/KexiMainWindow.cpp
M  +19   -1    kexi/main/KexiMainWindow_p.h

http://commits.kde.org/calligra/84dbc21f28da81c4f1449df72b7d95a6fb673618